textures/base_light/proto_light
{
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{	
		map textures/base_light/proto_lightmap.tga
		blendfunc gl_one gl_one
                rgbgen wave sin .5 0.5 1 .1
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
                tcmod scale -1 -1
                 rgbgen wave triangle 1 2 0 7
	}
}

textures/base_light/ceil1_22a_8k
{
	surfaceparm nomarks
	qer_editorimage textures/base_light/ceil1_22a
	q3map_surfacelight 8000
	light 1
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_30_8k
{
	surfaceparm nomarks
	qer_editorimage textures/base_light/ceil1_30
	q3map_surfacelight 8000
	light 1
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_30.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/xceil1_39_20k
{
	qer_editorimage textures/base_light/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/xceil1_39_30k
{
	qer_editorimage textures/base_light/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_support/x_support2
{
	surfaceparm	metalsteps	
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/base_support/x_support2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_trim/proto_fence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/base_trim/proto_fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_wall/bluemetalsupport2c_1
{
	

	{
		map textures/base_wall/chrome_env.tga
	        rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/base_wall/bluemetalsupport2c_1.tga
		blendfunc blend	
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/chrome_metal
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .25 .25 
		
	}

	{
		map textures/base_wall/chrome_metal.tga
		blendfunc gl_one gl_one
		detail
        	tcmod scale 0.0693 0.0712
		rgbgen identity
	}


	{
		map $lightmap
                rgbgen identity
		blendfunc gl_dst_color gl_zero
	   
	}

	
			
}

textures/common/nodrawnonsolid
{
	surfaceparm	nonsolid
	surfaceparm	nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm 	nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
        
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
        surfaceparm nolightmap
}

textures/ctf/ctf_blueflag
{
        tesssize 64
        deformvertexes wave 194 sin 0 3 0 .4
        deformvertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/ctf/ctf_blueflag.tga
		rgbgen identity
	}
        {
		map textures/effects/redflagmap.tga
                tcgen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendfunc gl_one gl_one
                rgbgen identity
	}
        {
		map textures/ctf/ctf_blueflag.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcgen environment 
                
                blendfunc gl_dst_color gl_zero
               rgbgen identity
	}
}

textures/ctf/ctf_redflag
{
        tesssize 64
        deformvertexes wave 194 sin 0 3 0 .4
        deformvertexes normal .3 .2
        surfaceparm nomarks
        cull none

        {
		map textures/ctf/ctf_redflag.tga
		rgbgen identity
	}
        {
		map textures/effects/blueflagmap.tga
                 tcgen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendfunc gl_one gl_one
                rgbgen identity
	}
        {
		map textures/ctf/ctf_redflag.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
        {

        	map textures/sfx/shadow.tga
                tcgen environment 
                
                blendfunc gl_dst_color gl_zero
               rgbgen identity
	}
}

textures/liquids/clear_ripple1
{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformvertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}
	}

textures/sfx/beam
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/sfx/beam.tga
                tcmod scroll .3 0
                blendfunc add
        }
        
	
        
        
        
     
}

textures/sfx/beam_red
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/sfx/beam_red.tga
                tcmod scroll .3 0
                blendfunc add
        }
     
}

textures/sfx/beam_blue
{
        qer_editorimage textures/sfx/beam_blue4.tga
	
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/sfx/beam_blue4.tga
	
	
		tcmod scroll .3 0
                blendfunc add
        }
     
}

textures/q3ctfp13/e8red_dcl
{
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/q3ctfp13/e8red_dcl.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/q3ctfp13/e8blue_dcl
{
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/q3ctfp13/e8blue_dcl.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/q3ctfp13/blue_pulse
{
	q3map_surfacelight 100
	q3map_lightimage textures/q3ctfp13/blue_pulse.tga

	{
		map textures/base_wall/chrome_env.tga
	        rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/q3ctfp13/blue_pulse.tga
		blendfunc filter	
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}

	{
		map textures/q3ctfp13/blue_pulse.tga
		blendfunc add	
		rgbgen wave sin .25 .25 0 1	
	}


}

textures/q3ctfp13/red_pulse
{
	q3map_surfacelight 100
	q3map_lightimage textures/q3ctfp13/red_pulse.tga

	{
		map textures/base_wall/chrome_env.tga
	        rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/q3ctfp13/red_pulse.tga
		blendfunc filter	
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}

	{
		map textures/q3ctfp13/red_pulse.tga
		blendfunc add	
		rgbgen wave sin .25 .25 0 1	
	}


}

textures/q3ctfp13/plainglass
{
        surfaceparm trans
	surfaceparm nolightmap
	cull twosided
	{
		map textures/q3ctfp13/plainglass.tga
		tcgen environment
		blendfunc gl_one gl_one
                }
}

textures/q3ctfp13/toxic_sky
{
    qer_editorimage textures/q3ctfp13/toxic.tga
   
    q3map_sunext .4 .5 .425 25 -126 40 3 16
    q3map_lightmapfilterradius 0 64
    q3map_skylight 10 3
    q3map_nofog
   
    nopicmip
   
    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
   
    skyparms textures/q3ctfp13/black 480 -
   
    {
        map textures/q3ctfp13/clouds_2.tga
        tcmod scale 3 3
        tcmod scroll 0.01 0.0175
        rgbgen identitylighting
    }
    {
        clampmap textures/q3ctfp13/toxic.tga
        blendfunc gl_one_minus_src_alpha gl_src_color
        tcmod transform 0.75 0 0 0.75 -0.678 -0.678
        tcmod stretch sin 1 0.1 0 .04
        rgbgen identitylighting
    }
}

